import { IGenericChannelsEntity } from '../../definition';
import { PayloadWrapper } from './payload.wrapper';
import { CommandResult } from './command.result';
/**
 * @stable [21.05.2018]
 * @param {string} ip
 * @param {IGenericChannelsEntity} channelsEntity
 * @returns {PayloadWrapper[]}
 */
export declare const channelsEntityResponsePayloadsMapper: (ip: string, channelsEntity: IGenericChannelsEntity) => PayloadWrapper[];
/**
 * @stable [23.05.2018]
 * @param {string} ip
 * @param {IGenericChannelsEntity} channelsEntity
 * @param {(cResult: CommandResult) => boolean} predicate
 * @returns {CommandResult}
 */
export declare const findCommandResult: (ip: string, channelsEntity: IGenericChannelsEntity, predicate: (cResult: CommandResult) => boolean) => CommandResult;
/**
 * @stable [23.05.2018]
 * @param {string} ip
 * @param {IGenericChannelsEntity} channelsEntity
 * @param {string} uuid
 * @returns {CommandResult}
 */
export declare const findCommandResultByUuid: (ip: string, channelsEntity: IGenericChannelsEntity, uuid: string) => CommandResult;
