import { Store } from 'redux';
import { IKeyValue } from '../../definitions.interface';
import { DynamicRoutesMapT, IAuth, IPermissionsManager, IRoutesEntity, IUniversalContainer, IUniversalContainerProps, IUniversalStoreEntity } from '../../definition';
import { GenericBaseComponent } from './generic-base.component';
/**
 * TODO
 * @deprecated
 */
export declare class UniversalContainer<TProps extends IUniversalContainerProps = IUniversalContainerProps, TState = {}, TAccessConfig = {}> extends GenericBaseComponent<TProps, TState> implements IUniversalContainer<TProps, TState> {
    /**
     * @stable [27.10.2019]
     * @param {string} type
     * @param {TData} data
     */
    dispatchCustomType<TData = IKeyValue>(type: string, data?: TData): void;
    /**
     * @stable [27.10.2019]
     * @param {string} type
     * @param {TData} data
     * @param {string} otherSectionName
     */
    dispatch<TData = IKeyValue>(type: string, data?: TData, otherSectionName?: string): void;
    /**
     * @stable [16.11.2019]
     * @param {TAccessConfig} checkedObject
     * @returns {boolean}
     */
    protected hasPermission(checkedObject: TAccessConfig): boolean;
    /**
     * @stable - 15.04.2018
     * @returns {IRoutesEntity}
     */
    protected readonly routes: IRoutesEntity;
    /**
     * @react-native-compatible
     * @stable [07.10.2019]
     * @returns {Store<IUniversalStoreEntity>}
     */
    protected readonly appStore: Store<IUniversalStoreEntity>;
    /**
     * @react-native-compatible
     * @stable [07.10.2019]
     * @returns {IPermissionsManager<TAccessConfig>}
     */
    protected readonly permissionsManager: IPermissionsManager<TAccessConfig>;
    /**
     * @react-native-compatible
     * @stable [16.11.2019]
     * @returns {IAuth}
     */
    protected readonly auth: IAuth;
    /**
     * @react-native-compatible
     * @stable [16.11.2019]
     * @returns {DynamicRoutesMapT}
     */
    protected readonly dynamicRoutes: DynamicRoutesMapT;
}
