"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../../di");
var util_1 = require("../../util");
var generic_base_component_1 = require("./generic-base.component");
/**
 * TODO
 * @deprecated
 */
var UniversalContainer = /** @class */ (function (_super) {
    __extends(UniversalContainer, _super);
    function UniversalContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [27.10.2019]
     * @param {string} type
     * @param {TData} data
     */
    UniversalContainer.prototype.dispatchCustomType = function (type, data) {
        this.appStore.dispatch({ type: type, data: data });
    };
    /**
     * @stable [27.10.2019]
     * @param {string} type
     * @param {TData} data
     * @param {string} otherSectionName
     */
    UniversalContainer.prototype.dispatch = function (type, data, otherSectionName) {
        var sectionName = this.props.sectionName;
        var finalSectionName = otherSectionName || sectionName;
        this.dispatchCustomType(finalSectionName + "." + type, util_1.applySection(finalSectionName, data));
    };
    /**
     * @stable [16.11.2019]
     * @param {TAccessConfig} checkedObject
     * @returns {boolean}
     */
    UniversalContainer.prototype.hasPermission = function (checkedObject) {
        return this.permissionsManager.isAccessible(checkedObject);
    };
    Object.defineProperty(UniversalContainer.prototype, "routes", {
        /**
         * @stable - 15.04.2018
         * @returns {IRoutesEntity}
         */
        get: function () {
            return di_1.staticInjector(di_1.DI_TYPES.Routes);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "appStore", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {Store<IUniversalStoreEntity>}
         */
        get: function () {
            return di_1.getStore();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "permissionsManager", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {IPermissionsManager<TAccessConfig>}
         */
        get: function () {
            return di_1.getPermissionsManager();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "auth", {
        /**
         * @react-native-compatible
         * @stable [16.11.2019]
         * @returns {IAuth}
         */
        get: function () {
            return di_1.getAuth();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "dynamicRoutes", {
        /**
         * @react-native-compatible
         * @stable [16.11.2019]
         * @returns {DynamicRoutesMapT}
         */
        get: function () {
            return di_1.getDynamicRoutes();
        },
        enumerable: true,
        configurable: true
    });
    return UniversalContainer;
}(generic_base_component_1.GenericBaseComponent));
exports.UniversalContainer = UniversalContainer;
//# sourceMappingURL=universal.container.js.map