import { IEntity, IEntityWrapper } from '../../definitions.interface';
import { IReduxFormEntity, IExtendedEntity, IExtendedFormEntity, IDeprecatedListEntity, IListEntity, IReduxPagedEntity } from '../../definition';
import { IDataMutatorEntity } from '../../entities-definitions.interface';
/**
 * @deprecated mapEditableEntity
 */
export declare const formMapper: (editableEntity: IReduxFormEntity<import("core/definitions.interface").IKeyValue>) => IExtendedFormEntity<IEntity>;
/**
 * @stable [16.05.2018]
 * @param {IDeprecatedListEntity} listEntity
 * @param {IDataMutatorEntity} dataMutator
 * @returns {IListEntity}
 */
export declare const listMapper: (listEntity: IDeprecatedListEntity<IEntity, any>, dataMutator?: IDataMutatorEntity<IEntity>) => IListEntity<IEntity, any>;
/**
 * @deprecated Use mapListPagedEntity
 */
export declare const listEntityPageEntityFilterMapper: (listEntity: IDeprecatedListEntity<IEntity, any>, pageSize?: number) => IReduxPagedEntity;
/**
 * @deprecated Use mapListWrapperPagedEntity
 */
export declare const listEntityWrapperPageEntityFilterMapper: (listEntity: IListEntity<IEntity, any>, pageSize?: number) => IReduxPagedEntity;
/**
 * @stable [30.01.2019]
 * @param {IListEntity} listWrapperEntity
 * @returns {IDeprecatedListEntity}
 */
export declare const listSelector: (listWrapperEntity: IListEntity<IEntity, any>) => IDeprecatedListEntity<IEntity, any>;
/**
 * @deprecated Use mapListWrapperEntity
 */
export declare const listWrapperMapper: (listWrapperEntity: IListEntity<IEntity, any>, dataMutator?: IDataMutatorEntity<IEntity>) => IListEntity<IEntity, any>;
/**
 * @deprecated Use selectChanges
 */
export declare const editableEntityChangesSelector: <TResult extends IEntity = IEntity>(entity: IReduxFormEntity<import("core/definitions.interface").IKeyValue>) => TResult;
/**
 * @deprecated Use mapExtendedEntity
 */
export declare const entityMapper: <TEntity extends IEntity>(entity: TEntity, editableEntity?: IReduxFormEntity<import("core/definitions.interface").IKeyValue>) => IExtendedEntity<TEntity>;
/**
 * @deprecated
 */
export declare const selectedEntitySelector: <TEntity extends IEntity>(listEntity: IDeprecatedListEntity<IEntity, any>) => TEntity;
/**
 * @deprecated Use selectListSelectedEntity
 */
export declare const listSelectedEntitySelector: <TEntity extends IEntity>(listWrapperEntity: IListEntity<IEntity, any>) => TEntity;
/**
 * @deprecated Use mapListSelectedExtendedEntity
 */
export declare const listWrapperSelectedEntityMapper: <TEntity extends IEntity>(listWrapperState: IListEntity<IEntity, any>, formEntity?: IReduxFormEntity<import("core/definitions.interface").IKeyValue>) => IEntityWrapper<TEntity>;
/**
 * @stable [29.05.2018]
 */
export declare const universalDefaultMappers: ((<TEntity = import("core/definition/user-definition.interface").IReduxUserEntity>(wrapper: import("core/definition/user-definition.interface").IReduxHolderUserEntity<TEntity>) => import("core/definition/user-definition.interface").IReduxHolderUserEntity<TEntity>) | (<TTransport = import("core/definition/transport-definition.interface").ITransportEntity>(wrapper: import("core/definition/transport-definition.interface").ITransportWrapperEntity<TTransport>) => import("core/definition/transport-definition.interface").ITransportWrapperEntity<TTransport>) | (<TDictionaries = import("core/definition/dictionary-definition.interface").IReduxDictionariesEntity>(wrapper: import("core/definition/dictionary-definition.interface").IDictionariesEntity<TDictionaries>) => import("core/definition/dictionary-definition.interface").IDictionariesEntity<TDictionaries>))[];
