"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var util_1 = require("../../util");
var definition_1 = require("../../definition");
/**
 * @deprecated mapEditableEntity
 */
exports.formMapper = function (editableEntity) { return ({
    form: __assign({}, editableEntity),
}); };
/**
 * @stable [16.05.2018]
 * @param {IDeprecatedListEntity} listEntity
 * @param {IDataMutatorEntity} dataMutator
 * @returns {IListEntity}
 */
exports.listMapper = function (listEntity, dataMutator) {
    var list = __assign({}, listEntity);
    if (!R.isNil(dataMutator) && !R.isNil(list.data) && list.data.length > 0) {
        if (!R.isNil(dataMutator.sorter)) {
            list.data = R.sort(dataMutator.sorter, list.data);
        }
        if (!R.isNil(dataMutator.filter)) {
            list.totalCount = (list.data = R.filter(dataMutator.filter, list.data)).length;
        }
    }
    return { list: list };
};
/**
 * @deprecated Use mapListPagedEntity
 */
exports.listEntityPageEntityFilterMapper = function (listEntity, pageSize) {
    if (pageSize === void 0) { pageSize = definition_1.DEFAULT_PAGE_SIZE; }
    return ({
        page: listEntity.lockPage ? listEntity.page : definition_1.FIRST_PAGE,
        pageSize: pageSize,
    });
};
/**
 * @deprecated Use mapListWrapperPagedEntity
 */
exports.listEntityWrapperPageEntityFilterMapper = function (listEntity, pageSize) {
    if (pageSize === void 0) { pageSize = definition_1.DEFAULT_PAGE_SIZE; }
    return exports.listEntityPageEntityFilterMapper(listEntity.list, pageSize);
};
/**
 * @stable [30.01.2019]
 * @param {IListEntity} listWrapperEntity
 * @returns {IDeprecatedListEntity}
 */
exports.listSelector = function (listWrapperEntity) {
    return util_1.ifNotNilThanValue(listWrapperEntity, function () { return listWrapperEntity.list; });
};
/**
 * @deprecated Use mapListWrapperEntity
 */
exports.listWrapperMapper = function (listWrapperEntity, dataMutator) {
    return exports.listMapper(exports.listSelector(listWrapperEntity), dataMutator);
};
/**
 * @deprecated Use selectChanges
 */
exports.editableEntityChangesSelector = function (entity) {
    return entity.changes;
};
/**
 * @deprecated Use mapExtendedEntity
 */
exports.entityMapper = function (entity, editableEntity) {
    return ({
        entity: __assign({}, entity, editableEntity && editableEntity.changes),
        entityId: util_1.orNull(entity, function () { return entity.id; }),
        originalEntity: __assign({}, entity),
        newEntity: R.isNil(entity) || R.isNil(entity.id),
    });
};
/**
 * @deprecated
 */
exports.selectedEntitySelector = function (listEntity) {
    return util_1.orNull(listEntity, function () { return listEntity.selected; });
};
/**
 * @deprecated Use selectListSelectedEntity
 */
exports.listSelectedEntitySelector = function (listWrapperEntity) {
    return util_1.ifNotNilThanValue(listWrapperEntity.list, function (list) { return exports.selectedEntitySelector(list); });
};
/**
 * @deprecated Use mapListSelectedExtendedEntity
 */
exports.listWrapperSelectedEntityMapper = function (listWrapperState, formEntity) {
    return exports.entityMapper(exports.listSelectedEntitySelector(listWrapperState), formEntity);
};
/**
 * @stable [29.05.2018]
 */
exports.universalDefaultMappers = [
    util_1.mapDictionariesWrapperEntity,
    util_1.mapTransportWrapperEntity,
    util_1.mapUserWrapperEntity
];
//# sourceMappingURL=universal-connector.mapper.js.map