"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var dialog_component_1 = require("../dialog.component");
var action_1 = require("../../../action");
var form_1 = require("../../form");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var generic_container_1 = require("../../base/generic.container");
/**
 * @component-container-impl
 * @stable [09.05.2020]
 *
 * Please use the "Mappers.filterFormDialogContainerProps"
 */
var FilterFormDialogContainer = /** @class */ (function (_super) {
    __extends(FilterFormDialogContainer, _super);
    /**
     * @stable [23.04.2020]
     * @param {IFilterFormDialogContainerProps} props
     */
    function FilterFormDialogContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onAcceptFilter = _this.onAcceptFilter.bind(_this);
        _this.onClearFilter = _this.onClearFilter.bind(_this);
        return _this;
    }
    /**
     * @stable [23.04.2020]
     */
    FilterFormDialogContainer.prototype.componentWillUnmount = function () {
        if (this.props.autoReset) {
            this.dispatchPlainAction(action_1.FilterFormDialogActionBuilder.buildResetPlainAction(this.sectionName));
        }
    };
    /**
     * @stable [23.04.2020]
     * @returns {JSX.Element}
     */
    FilterFormDialogContainer.prototype.render = function () {
        var props = this.props;
        var _a = this.settings.messages, APPLY = _a.APPLY, CLEAR_ALL = _a.CLEAR_ALL, CLOSE = _a.CLOSE, FILTERS = _a.FILTERS;
        return (React.createElement(dialog_component_1.Dialog, { ref: this.actualRef, title: FILTERS, closeText: this.isFormTouched ? CLEAR_ALL : CLOSE, acceptText: APPLY, acceptDisabled: !this.canAccept, onAccept: this.onAcceptFilter, onClose: this.onClearFilter },
            React.createElement(form_1.FormContainer, __assign({ formConfiguration: definition_1.DEFAULT_PRESETS_COMPACT_FORM_ENTITY }, util_1.Mappers.formContainerProps(props)), props.children)));
    };
    /**
     * @stable [23.04.2020]
     */
    FilterFormDialogContainer.prototype.onAcceptFilter = function () {
        this.dispatchPlainAction(action_1.FilterFormDialogActionBuilder.buildAcceptPlainAction(this.sectionName));
    };
    /**
     * @stable [23.04.2020]
     */
    FilterFormDialogContainer.prototype.onClearFilter = function () {
        if (this.isFormTouched) {
            this.dispatchPlainAction(action_1.FilterFormDialogActionBuilder.buildClearPlainAction(this.sectionName));
        }
    };
    Object.defineProperty(FilterFormDialogContainer.prototype, "canAccept", {
        /**
         * @stable [11.05.2020]
         * @returns {boolean}
         */
        get: function () {
            var props = this.props;
            return util_1.FormUtils.isValid(props) && this.isFormTouched; // The only default changes do not allow accepting (!)
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FilterFormDialogContainer.prototype, "isFormTouched", {
        /**
         * @stable [11.05.2020]
         * @returns {boolean}
         */
        get: function () {
            return util_1.FormUtils.isTouched(this.props);
        },
        enumerable: true,
        configurable: true
    });
    return FilterFormDialogContainer;
}(generic_container_1.GenericContainer));
exports.FilterFormDialogContainer = FilterFormDialogContainer;
//# sourceMappingURL=filter-form-dialog.container.js.map