/// <reference types="react" />
import { AnyT } from '../../../definitions.interface';
import { ChangeEventT, FieldComposedInputAttributesT, IField, IFieldProps } from '../../../definition';
import { EnhancedGenericComponent } from '../../base/enhanced-generic.component';
import { IUniversalFieldState } from './field.interface';
export declare class Field<TProps extends IFieldProps, TState extends IUniversalFieldState>// TODO
 extends EnhancedGenericComponent<TProps, TState> implements IField<TProps, TState> {
    /**
     * @stable [17.05.2020]
     * @param {ChangeEventT} event
     */
    onChange(event: ChangeEventT): void;
    setFocus(): void;
    /**
     * @stable [17.05.2020]
     * @param {ChangeEventT} event
     * @returns {AnyT}
     */
    getRawValueFromEvent(event: ChangeEventT): AnyT;
    /**
     * @stable [18.05.2020]
     * @param {AnyT} currentRawValue
     */
    protected onChangeValue(currentRawValue: AnyT): void;
    protected validateField(rawValue: AnyT): void;
    /**
     * @stable [18.05.2020]
     * @param {AnyT} value
     * @param {boolean} forceApplyValue
     * @returns {AnyT}
     */
    protected getDecoratedDisplayValue(value: AnyT, forceApplyValue?: boolean): AnyT;
    /**
     * @stable [18.05.2020]
     * @param {AnyT} value
     * @returns {AnyT}
     */
    protected decorateDisplayValue(value: AnyT): AnyT;
    /**
     * @stable [18.05.2020]
     * @returns {FieldComposedInputAttributesT}
     */
    protected getInputElementProps(): FieldComposedInputAttributesT;
    /**
     * @stable [18.05.2020]
     * @returns {JSX.Element}
     */
    protected readonly inputWrapperElement: JSX.Element;
    /**
     * @stable [18.05.2020]
     * @returns {JSX.Element}
     */
    protected getInputElement(): JSX.Element;
    /**
     * @stable [18.05.2020]
     * @returns {JSX.Element}
     */
    protected readonly inputAttachmentElement: JSX.Element;
    /**
     * @stable [18.05.2020]
     * @returns {JSX.Element}
     */
    protected readonly mirrorInputElement: JSX.Element;
    /**
     * @stable [18.05.2020]
     * @returns {JSX.Element}
     */
    protected readonly inputCaretElement: JSX.Element;
    /**
     * @stable [19.05.2020]
     * @returns {JSX.Element}
     */
    protected readonly progressInfoElement: JSX.Element;
    /**
     * @stable [17.05.2020]
     * @returns {AnyT}
     */
    protected readonly emptyValue: AnyT;
    /**
     * @stable [17.05.2020]
     * @returns {AnyT}
     */
    protected readonly originalEmptyValue: AnyT;
    /**
     * @stable [18.05.2020]
     * @returns {boolean}
     */
    protected readonly isFieldRendered: boolean;
    /**
     * @stable [18.05.2020]
     * @param {AnyT} value
     * @returns {boolean}
     */
    protected isValueObject(value: AnyT): boolean;
    /**
     * @stable [18.05.2020]
     * @param {AnyT} value
     * @returns {boolean}
     */
    protected isValueDefined(value: AnyT): boolean;
    /**
     * @stable [19.05.2020]
     * @returns {boolean}
     */
    protected isFieldBusy(): boolean;
    /**
     * @stable [17.05.2020]
     * @returns {TProps}
     */
    protected readonly mergedProps: TProps;
}
