/// <reference types="react" />
import { GenericContainer } from '../base';
import { IFormContainerProps } from '../../definition';
/**
 * @component-container-impl
 * @stable [09.05.2020]
 *
 * Please use the "Mappers.formContainerProps"
 */
export declare class FormContainer extends GenericContainer<IFormContainerProps> {
    /**
     * @stable [09.05.2020]
     * @param {IFormContainerProps} props
     */
    constructor(props: IFormContainerProps);
    /**
     * @stable [09.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [23.04.2020]
     * @param {IKeyValue} payload
     */
    private onChange;
    /**
     * @stable [18.04.2020]
     * @param {boolean} valid
     */
    private onValid;
    /**
     * @stable [18.04.2020]
     */
    private onReset;
    /**
     * @stable [15.04.2020]
     * @param {IApiEntity} apiEntity
     */
    private onSubmit;
    /**
     * @stable [09.05.2020]
     * @param {string} dictionary
     * @param {IApiEntity} apiEntity
     */
    private onDictionaryEmpty;
    /**
     * @stable [09.05.2020]
     * @param {{}} items
     */
    private onDictionaryLoad;
    /**
     * @stable [18.04.2020]
     * @returns {IFormProps}
     */
    private readonly formConfiguration;
}
