"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var R = require("ramda");
var base_1 = require("../base");
var form_1 = require("../form");
var util_1 = require("../../util");
/**
 * @component-container-impl
 * @stable [09.05.2020]
 *
 * Please use the "Mappers.formContainerProps"
 */
var FormContainer = /** @class */ (function (_super) {
    __extends(FormContainer, _super);
    /**
     * @stable [09.05.2020]
     * @param {IFormContainerProps} props
     */
    function FormContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onChange = _this.onChange.bind(_this);
        _this.onDictionaryEmpty = _this.onDictionaryEmpty.bind(_this);
        _this.onDictionaryLoad = _this.onDictionaryLoad.bind(_this);
        _this.onReset = _this.onReset.bind(_this);
        _this.onSubmit = _this.onSubmit.bind(_this);
        _this.onValid = _this.onValid.bind(_this);
        return _this;
    }
    /**
     * @stable [09.05.2020]
     * @returns {JSX.Element}
     */
    FormContainer.prototype.render = function () {
        var props = this.props;
        return (React.createElement(form_1.Form, __assign({}, util_1.Mappers.formContainerPropsAsFormProps(props), { onChange: this.onChange, onDictionaryEmpty: this.onDictionaryEmpty, onDictionaryLoad: this.onDictionaryLoad, onReset: this.onReset, onSubmit: this.onSubmit, onValid: this.onValid }), props.children));
    };
    /**
     * @stable [23.04.2020]
     * @param {IKeyValue} payload
     */
    FormContainer.prototype.onChange = function (payload) {
        this.formStoreProxy.dispatchFormChanges(payload);
        util_1.ifNotNilThanValue(this.formConfiguration.onChange, function (onChange) { return onChange(payload); });
    };
    /**
     * @stable [18.04.2020]
     * @param {boolean} valid
     */
    FormContainer.prototype.onValid = function (valid) {
        this.formStoreProxy.dispatchFormValid(valid);
        util_1.ifNotNilThanValue(this.formConfiguration.onValid, function (onValid) { return onValid(valid); });
    };
    /**
     * @stable [18.04.2020]
     */
    FormContainer.prototype.onReset = function () {
        this.formStoreProxy.dispatchFormReset();
        util_1.ifNotNilThanValue(this.formConfiguration.onReset, function (onReset) { return onReset(); });
    };
    /**
     * @stable [15.04.2020]
     * @param {IApiEntity} apiEntity
     */
    FormContainer.prototype.onSubmit = function (apiEntity) {
        this.formStoreProxy.dispatchFormSubmit(apiEntity);
        util_1.ifNotNilThanValue(this.formConfiguration.onSubmit, function (onSubmit) { return onSubmit(apiEntity); });
    };
    /**
     * @stable [09.05.2020]
     * @param {string} dictionary
     * @param {IApiEntity} apiEntity
     */
    FormContainer.prototype.onDictionaryEmpty = function (dictionary, apiEntity) {
        this.dictionaryStoreProxy.dispatchLoadDictionary(dictionary, apiEntity);
    };
    /**
     * @stable [09.05.2020]
     * @param {{}} items
     */
    FormContainer.prototype.onDictionaryLoad = function (items) {
        var noAvailableItemsToSelect = this.settings.messages.NO_AVAILABLE_ITEMS_TO_SELECT;
        if (noAvailableItemsToSelect && R.isEmpty(items)) {
            this.notificationStoreProxy.dispatchNotification(noAvailableItemsToSelect);
        }
    };
    Object.defineProperty(FormContainer.prototype, "formConfiguration", {
        /**
         * @stable [18.04.2020]
         * @returns {IFormProps}
         */
        get: function () {
            return this.props.formConfiguration || {};
        },
        enumerable: true,
        configurable: true
    });
    return FormContainer;
}(base_1.GenericContainer));
exports.FormContainer = FormContainer;
//# sourceMappingURL=form.container.js.map