"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var base_column_1 = require("../base-column");
var GridHeadColumn = /** @class */ (function (_super) {
    __extends(GridHeadColumn, _super);
    /**
     * @stable [17.10.2019]
     * @param {IGridColumnProps} props
     */
    function GridHeadColumn(props) {
        var _this = _super.call(this, props) || this;
        _this.onChangeAscSortingActionClick = _this.onChangeAscSortingActionClick.bind(_this);
        _this.onChangeDescSortingActionClick = _this.onChangeDescSortingActionClick.bind(_this);
        return _this;
    }
    /**
     * @stable [17.10.2019]
     * @returns {JSX.Element}
     */
    GridHeadColumn.prototype.render = function () {
        var _this = this;
        var props = this.props;
        return util_1.ifNotFalseThanValue(props.headerRendered, function () { return (React.createElement("th", { style: __assign({}, _this.styles, util_1.CalcUtils.calc(props.headerStyles, props)), colSpan: util_1.NvlUtils.nvl(props.headerColSpan, props.colSpan), className: _this.getClassName(util_1.CalcUtils.calc(props.headerClassName, props), 'rac-no-user-select') }, _this.columnContentElement)); });
    };
    /**
     * @stable [22.10.2019]
     * @param {React.ReactNode} children
     * @returns {React.ReactNode}
     */
    GridHeadColumn.prototype.getColumnContentElement = function (children) {
        return (React.createElement(React.Fragment, null,
            this.props.sortable && (React.createElement("div", { className: 'rac-grid-column-sort' },
                this.uiFactory.makeIcon({
                    className: util_1.ClsUtils.joinClassName(definition_1.GridClassesEnum.GRID_HEAD_COLUMN_SORT_ICON, definition_1.GridClassesEnum.GRID_HEAD_COLUMN_SORT_DESC_ACTION, this.isDescSortingEnabled && definition_1.GridClassesEnum.GRID_HEAD_COLUMN_ACTIVE_SORT_ICON),
                    type: definition_1.IconsEnum.ARROW_DOWN,
                    onClick: this.onChangeDescSortingActionClick,
                }),
                this.uiFactory.makeIcon({
                    className: util_1.ClsUtils.joinClassName(definition_1.GridClassesEnum.GRID_HEAD_COLUMN_SORT_ICON, definition_1.GridClassesEnum.GRID_HEAD_COLUMN_SORT_ASC_ACTION, this.isAscSortingEnabled && definition_1.GridClassesEnum.GRID_HEAD_COLUMN_ACTIVE_SORT_ICON),
                    type: definition_1.IconsEnum.ARROW_UP,
                    onClick: this.onChangeAscSortingActionClick,
                }))),
            children));
    };
    /**
     * @stable [18.10.2019]
     */
    GridHeadColumn.prototype.onChangeAscSortingActionClick = function () {
        this.doSortingDirectionChange(util_1.ConditionUtils.orNull(!this.isAscSortingEnabled, definition_1.SortDirectionsEnum.ASC));
    };
    /**
     * @stable [18.10.2019]
     */
    GridHeadColumn.prototype.onChangeDescSortingActionClick = function () {
        this.doSortingDirectionChange(util_1.ConditionUtils.orNull(!this.isDescSortingEnabled, definition_1.SortDirectionsEnum.DESC));
    };
    /**
     * @stable [18.10.2019]
     * @param {SortDirectionsEnum} direction
     */
    GridHeadColumn.prototype.doSortingDirectionChange = function (direction) {
        var props = this.props;
        if (util_1.TypeUtils.isFn(props.onSortingDirectionChange)) {
            props.onSortingDirectionChange({ name: props.name, direction: direction });
        }
    };
    Object.defineProperty(GridHeadColumn.prototype, "isDescSortingEnabled", {
        /**
         * @stable [18.10.2019]
         * @returns {boolean}
         */
        get: function () {
            return this.props.direction === definition_1.SortDirectionsEnum.DESC;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GridHeadColumn.prototype, "isAscSortingEnabled", {
        /**
         * @stable [18.10.2019]
         * @returns {boolean}
         */
        get: function () {
            return this.props.direction === definition_1.SortDirectionsEnum.ASC;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GridHeadColumn.prototype, "styles", {
        /**
         * @stable [18.10.2019]
         * @returns {React.CSSProperties}
         */
        get: function () {
            return this.getStyle({ width: this.props.headerWidth });
        },
        enumerable: true,
        configurable: true
    });
    return GridHeadColumn;
}(base_column_1.BaseGridColumn));
exports.GridHeadColumn = GridHeadColumn;
//# sourceMappingURL=grid-head-column.component.js.map