/// <reference types="react" />
import { GenericComponent } from '../../base/generic.component';
import { IDefaultLayoutProps } from '../../../definition';
export declare class DefaultLayout extends GenericComponent<IDefaultLayoutProps> {
    static readonly defaultProps: IDefaultLayoutProps;
    /**
     * @stable [21.05.2020]
     * @param {IDefaultLayoutProps} props
     */
    constructor(props: IDefaultLayoutProps);
    /**
     * @stable [21.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [21.05.2020]
     * @returns {JSX.Element}
     */
    private readonly bodyElement;
    /**
     * @stable [21.05.2020]
     * @returns {JSX.Element}
     */
    private readonly headerElement;
    /**
     * @stable [21.05.2020]
     * @returns {JSX.Element}
     */
    private readonly subHeaderElement;
    /**
     * @stable [04.02.2020]
     * @returns {JSX.Element}
     */
    private readonly drawerElement;
    /**
     * @stable [21.05.2020]
     * @returns {JSX.Element}
     */
    private readonly drawerHeaderElement;
    private readonly drawerContentElement;
    private onLogoMenuActionClick;
    private onDrawerHeaderLogoClick;
    /**
     * @stable [21.05.2020]
     * @returns {boolean}
     */
    private readonly isNavigationActionRendered;
    /**
     * @stable [21.05.2020]
     * @returns {boolean}
     */
    private readonly isLayoutFullModeEnabled;
    /**
     * @stable [21.05.2020]
     * @returns {boolean}
     */
    private readonly isLayoutInProgress;
    /**
     * @stable [21.05.2020]
     * @returns {LayoutModesEnum}
     */
    private readonly layoutMode;
    /**
     * @stable [21.05.2020]
     * @returns {IDefaultLayoutProps}
     */
    private readonly mergedProps;
}
