"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var generic_component_1 = require("../../base/generic.component");
var util_1 = require("../../../util");
var drawer_1 = require("../../drawer");
var definition_1 = require("../../../definition");
var flex_1 = require("../../layout/flex");
var plugin_1 = require("../../plugin");
var header_1 = require("../../header");
var main_1 = require("../../main");
var dialog_1 = require("../../dialog");
var sub_header_1 = require("../../sub-header");
var DefaultLayout = /** @class */ (function (_super) {
    __extends(DefaultLayout, _super);
    /**
     * @stable [21.05.2020]
     * @param {IDefaultLayoutProps} props
     */
    function DefaultLayout(props) {
        var _this = _super.call(this, props) || this;
        _this.onDrawerHeaderLogoClick = _this.onDrawerHeaderLogoClick.bind(_this);
        _this.onLogoMenuActionClick = _this.onLogoMenuActionClick.bind(_this);
        return _this;
    }
    /**
     * @stable [21.05.2020]
     * @returns {JSX.Element}
     */
    DefaultLayout.prototype.render = function () {
        var className = this.mergedProps.className;
        return (React.createElement("div", { className: util_1.ClsUtils.joinClassName(definition_1.DefaultLayoutClassesEnum.DEFAULT_LAYOUT, util_1.CalcUtils.calc(className), this.isLayoutFullModeEnabled
                ? definition_1.DefaultLayoutClassesEnum.DEFAULT_LAYOUT_FULL
                : definition_1.DefaultLayoutClassesEnum.DEFAULT_LAYOUT_MINI) },
            this.drawerElement,
            this.bodyElement));
    };
    Object.defineProperty(DefaultLayout.prototype, "bodyElement", {
        /**
         * @stable [21.05.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var _a = this.settings.elementsMarkers, selectedElement = _a.selectedElement, stickyElement = _a.stickyElement;
            var mergedProps = this.mergedProps;
            var footer = mergedProps.footer, footerRendered = mergedProps.footerRendered, header = mergedProps.header, headerRendered = mergedProps.headerRendered, mainConfiguration = mergedProps.mainConfiguration, subHeaderRendered = mergedProps.subHeaderRendered;
            return (React.createElement("div", { className: definition_1.DefaultLayoutClassesEnum.DEFAULT_LAYOUT_BODY },
                headerRendered && (header || this.headerElement),
                React.createElement(main_1.Main, __assign({ stickyElementClassName: stickyElement, selectedElementClassName: selectedElement, subHeaderRendered: subHeaderRendered, plugins: [
                        plugin_1.PerfectScrollPlugin,
                        plugin_1.SelectedElementPlugin,
                        plugin_1.StickyHeaderPlugin
                    ] }, mainConfiguration),
                    subHeaderRendered && this.subHeaderElement,
                    this.props.children,
                    this.isLayoutInProgress && React.createElement(dialog_1.Dialog, { progress: true, overlay: true })),
                footerRendered && footer));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "headerElement", {
        /**
         * @stable [21.05.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var mergedProps = this.mergedProps;
            var headerConfiguration = mergedProps.headerConfiguration;
            return (React.createElement(header_1.Header, __assign({}, util_1.Mappers.headerProps(mergedProps), { navigationActionRendered: this.isNavigationActionRendered }, headerConfiguration)));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "subHeaderElement", {
        /**
         * @stable [21.05.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var mergedProps = this.mergedProps;
            var subHeaderConfiguration = mergedProps.subHeaderConfiguration;
            return (React.createElement(sub_header_1.SubHeader, __assign({ navigationActionRendered: this.isNavigationActionRendered }, subHeaderConfiguration)));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "drawerElement", {
        /**
         * @stable [04.02.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var drawerHeaderRendered = this.mergedProps.drawerHeaderRendered;
            // TODO
            return (React.createElement(drawer_1.Drawer, { mini: !this.isLayoutFullModeEnabled },
                drawerHeaderRendered && this.drawerHeaderElement,
                this.props.navigationListElement));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "drawerHeaderElement", {
        /**
         * @stable [21.05.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            return (React.createElement("div", { className: definition_1.DefaultLayoutClassesEnum.DEFAULT_LAYOUT_DRAWER_HEADER, onClick: this.onLogoMenuActionClick }, this.drawerContentElement));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "drawerContentElement", {
        get: function () {
            var appVersion = this.environment.appVersion;
            var isLayoutFullModeEnabled = this.isLayoutFullModeEnabled;
            return (React.createElement(flex_1.FlexLayout, { row: true, alignItemsCenter: true, className: 'rac-profile' },
                appVersion && React.createElement("div", { className: 'rac-profile-app-version' }, appVersion),
                isLayoutFullModeEnabled && React.createElement("div", { className: 'rac-profile-avatar' }),
                this.uiFactory.makeIcon({
                    type: 'menu',
                    className: 'rac-logo-menu-icon',
                    onClick: this.onDrawerHeaderLogoClick,
                })));
        },
        enumerable: true,
        configurable: true
    });
    DefaultLayout.prototype.onLogoMenuActionClick = function () {
        this.props.onLogoMenuActionClick();
    };
    DefaultLayout.prototype.onDrawerHeaderLogoClick = function () {
        this.props.onDrawerHeaderClick(this.layoutMode);
    };
    Object.defineProperty(DefaultLayout.prototype, "isNavigationActionRendered", {
        /**
         * @stable [21.05.2020]
         * @returns {boolean}
         */
        get: function () {
            return util_1.StackUtils.doesHolderStackEntityContainChildren(this.originalProps);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "isLayoutFullModeEnabled", {
        /**
         * @stable [21.05.2020]
         * @returns {boolean}
         */
        get: function () {
            return this.layoutMode === definition_1.LayoutModesEnum.FULL;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "isLayoutInProgress", {
        /**
         * @stable [21.05.2020]
         * @returns {boolean}
         */
        get: function () {
            return util_1.WrapperUtils.inProgress(this.mergedProps);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "layoutMode", {
        /**
         * @stable [21.05.2020]
         * @returns {LayoutModesEnum}
         */
        get: function () {
            var mergedProps = this.mergedProps;
            var originalProps = this.originalProps;
            return util_1.Selectors.mergedLayoutMode(mergedProps, originalProps);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DefaultLayout.prototype, "mergedProps", {
        /**
         * @stable [21.05.2020]
         * @returns {IDefaultLayoutProps}
         */
        get: function () {
            return util_1.PropsUtils.mergeWithSystemProps(this.originalProps, this.settings.components.defaultLayout);
        },
        enumerable: true,
        configurable: true
    });
    DefaultLayout.defaultProps = {
        drawerHeaderRendered: true,
        footerRendered: true,
        headerRendered: true,
        subHeaderRendered: true,
    };
    return DefaultLayout;
}(generic_component_1.GenericComponent));
exports.DefaultLayout = DefaultLayout;
//# sourceMappingURL=default-layout.component.js.map