/// <reference types="react" />
import { GenericContainer } from '../../base/generic.container';
import { IDefaultLayoutContainerProps, IDefaultLayoutContainerState } from './default-layout.interface';
export declare class DefaultLayoutContainer extends GenericContainer<IDefaultLayoutContainerProps, IDefaultLayoutContainerState> {
    private readonly navigationMenuBuilder;
    /**
     * @stable [18.09.2018]
     * @param {IDefaultLayoutContainerProps} props
     */
    constructor(props: IDefaultLayoutContainerProps);
    render(): JSX.Element;
    /**
     * @stable [06.02.2020]
     * @param {IMenuItemEntity} item
     */
    private onHeaderMenuSelectItem;
    /**
     * @stable [17.10.2018]
     */
    private onLogoMenuActionClick;
    /**
     * @stable [23.12.2019]
     * @param {IReduxXYEntity} xy
     */
    private onNavigationListScroll;
    /**
     * @stable [18.09.2018]
     * @returns {INavigationListItemEntity[]}
     */
    private readonly menuItems;
    /**
     * @stable [04.12.2019]
     */
    private onDrawerHeaderClick;
    private readonly navigationListElement;
    /**
     * @stable [24.03.2020]
     * @param {INavigationListItemEntity} item
     */
    private onNavigationListClick;
    private onNavigationListGroupClick;
}
