"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var generic_base_component_1 = require("../../base/generic-base.component");
var definition_1 = require("../../../definition");
var ListItem = /** @class */ (function (_super) {
    __extends(ListItem, _super);
    /**
     * @stable [04.05.2020]
     * @param {IListItemProps} props
     */
    function ListItem(props) {
        var _this = _super.call(this, props) || this;
        _this.onClick = _this.onClick.bind(_this);
        return _this;
    }
    /**
     * @stable [23.09.2019]
     * @returns {JSX.Element}
     */
    ListItem.prototype.render = function () {
        var _this = this;
        var mergedProps = this.mergedProps;
        return (React.createElement(definition_1.UniversalScrollableContext.Consumer, null, function (selectedElementClassName) { return (util_1.isFn(mergedProps.renderer)
            ? React.cloneElement(mergedProps.renderer(mergedProps.rawData, mergedProps.index), _this.getItemProps({ selectedElementClassName: selectedElementClassName }))
            : (React.createElement("li", __assign({}, _this.getItemProps({ selectedElementClassName: selectedElementClassName })),
                util_1.isIconLeftAligned(mergedProps) && _this.iconElement,
                React.createElement("div", { className: definition_1.ListClassesEnum.LIST_ITEM_CONTENT }, util_1.isFn(mergedProps.tpl)
                    ? mergedProps.tpl(mergedProps.rawData)
                    : _this.props.children),
                !util_1.isIconLeftAligned(mergedProps) && _this.iconElement))); }));
    };
    /**
     * @stable [04.05.2020]
     * @param {ISelectedElementClassNameWrapper} context
     * @returns {React.DetailedHTMLProps<React.HTMLAttributes<HTMLLIElement>, HTMLLIElement>}
     */
    ListItem.prototype.getItemProps = function (context) {
        var mergedProps = this.mergedProps;
        var selectable = util_1.isSelectable(mergedProps);
        return (__assign({ ref: this.selfRef, className: util_1.joinClassName.apply(void 0, [definition_1.ListClassesEnum.LIST_ITEM,
                util_1.calc(mergedProps.className),
                selectable && definition_1.ListClassesEnum.LIST_ITEM_SELECTABLE,
                mergedProps.icon && definition_1.ListClassesEnum.LIST_ITEM_DECORATED,
                util_1.isOdd(mergedProps) && definition_1.ListClassesEnum.LIST_ITEM_ODD,
                util_1.isHovered(mergedProps) && definition_1.ListClassesEnum.LIST_ITEM_HOVERED,
                util_1.isLast(mergedProps) && definition_1.ListClassesEnum.LIST_ITEM_LAST].concat((selectable && (util_1.isSelected(mergedProps)
                ? [definition_1.ListClassesEnum.LIST_ITEM_SELECTED, context.selectedElementClassName]
                : [definition_1.ListClassesEnum.LIST_ITEM_UNSELECTED])))) }, util_1.handlerPropsFactory(this.onClick, !util_1.isDisabled(mergedProps) && selectable && util_1.isFn(mergedProps.onClick), false)));
    };
    /**
     * @stable [27.10.2019]
     */
    ListItem.prototype.onClick = function () {
        var mergedProps = this.mergedProps;
        mergedProps.onClick(mergedProps.rawData);
    };
    Object.defineProperty(ListItem.prototype, "iconElement", {
        /**
         * @stable [12.02.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var icon = this.mergedProps.icon;
            return (icon && this.uiFactory.makeIcon({
                type: icon,
                className: definition_1.ListClassesEnum.LIST_ITEM_ICON,
            }));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ListItem.prototype, "mergedProps", {
        /**
         * @stable [04.05.2020]
         * @returns {IListItemProps}
         */
        get: function () {
            return util_1.mergeWithSystemProps(this.props, this.settings.components.listItem);
        },
        enumerable: true,
        configurable: true
    });
    return ListItem;
}(generic_base_component_1.GenericBaseComponent));
exports.ListItem = ListItem;
//# sourceMappingURL=list-item.component.js.map