"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_list_component_1 = require("./base-list.component");
var basic_1 = require("./basic");
var util_1 = require("../../util");
var item_1 = require("./item");
var List = /** @class */ (function (_super) {
    __extends(List, _super);
    function List() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [04.05.2020]
     * @returns {JSX.Element}
     */
    List.prototype.getView = function () {
        return (React.createElement(basic_1.BasicList, __assign({ forwardedRef: this.selfRef }, this.props), this.dataSource.map(this.getItem, this)));
    };
    /**
     * @stable [13.09.2018]
     * @param {IEntity} entity
     * @param {number} index
     * @returns {JSX.Element}
     */
    List.prototype.getItem = function (entity, index) {
        var props = this.props;
        var rowKey = this.toRowKey(entity);
        return (React.createElement(item_1.ListItem, __assign({}, util_1.Mappers.selectableHoveredEntity(props), { key: rowKey, index: index, rawData: entity, selected: this.isEntitySelected(entity), odd: util_1.isHighlightOdd(props, index), onClick: props.onSelect }, props.itemConfiguration)));
    };
    return List;
}(base_list_component_1.BaseList));
exports.List = List;
//# sourceMappingURL=list.component.js.map