/// <reference types="react" />
import { GenericContainer } from '../base/generic.container';
import { IReduxActiveValueEntity, ITabPanelContainerProps } from '../../definition';
export declare class TabPanelContainer<TProps extends ITabPanelContainerProps = ITabPanelContainerProps> extends GenericContainer<TProps> {
    /**
     * @stable [12.04.2020]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [12.04.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    protected dispatchActiveValue(value: number): void;
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    protected dispatchInactiveValue(value: number): void;
    /**
     * @stable [12.04.2020]
     * @returns {IReduxActiveValueEntity}
     */
    protected readonly activeValueEntity: IReduxActiveValueEntity;
    /**
     * @stable [12.04.2020]
     * @param {ITabProps} tab
     */
    private onTabClick;
    /**
     * @stable [12.04.2020]
     * @param {number} activeValue
     */
    private onDeactivate;
}
