"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var generic_container_1 = require("../base/generic.container");
var tab_panel_component_1 = require("./tab-panel.component");
var util_1 = require("../../util");
var TabPanelContainer = /** @class */ (function (_super) {
    __extends(TabPanelContainer, _super);
    /**
     * @stable [12.04.2020]
     * @param {TProps} props
     */
    function TabPanelContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onDeactivate = _this.onDeactivate.bind(_this);
        _this.onTabClick = _this.onTabClick.bind(_this);
        return _this;
    }
    /**
     * @stable [12.04.2020]
     * @returns {JSX.Element}
     */
    TabPanelContainer.prototype.render = function () {
        var props = this.props;
        return (React.createElement(tab_panel_component_1.TabPanel, __assign({}, util_1.mapActiveValueWrapper(this.activeValueEntity), props.tabPanelConfiguration, { onClick: this.onTabClick, onDeactivate: this.onDeactivate }), props.children));
    };
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    TabPanelContainer.prototype.dispatchActiveValue = function (value) {
        this.tabPanelStoreProxy.dispatchTabPanelActiveValue(value);
    };
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    TabPanelContainer.prototype.dispatchInactiveValue = function (value) {
        this.tabPanelStoreProxy.dispatchTabPanelInactiveValue(value);
    };
    Object.defineProperty(TabPanelContainer.prototype, "activeValueEntity", {
        /**
         * @stable [12.04.2020]
         * @returns {IReduxActiveValueEntity}
         */
        get: function () {
            return this.props.tabPanel;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @stable [12.04.2020]
     * @param {ITabProps} tab
     */
    TabPanelContainer.prototype.onTabClick = function (tab) {
        this.dispatchActiveValue(tab.value);
    };
    /**
     * @stable [12.04.2020]
     * @param {number} activeValue
     */
    TabPanelContainer.prototype.onDeactivate = function (activeValue) {
        this.dispatchInactiveValue(activeValue);
    };
    return TabPanelContainer;
}(generic_container_1.GenericContainer));
exports.TabPanelContainer = TabPanelContainer;
//# sourceMappingURL=tab-panel.container.js.map