"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var generic_component_1 = require("../base/generic.component");
var definition_1 = require("../../definition");
var button_1 = require("../button");
/**
 * @component-impl
 * @stable [07.05.2020]
 *
 * Please use the "Mappers.toolbarToolsProps"
 */
var ToolbarTools = /** @class */ (function (_super) {
    __extends(ToolbarTools, _super);
    function ToolbarTools() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [03.04.2020]
     * @returns {JSX.Element}
     */
    ToolbarTools.prototype.render = function () {
        var _this = this;
        var props = this.props;
        var _a = this.props, actions = _a.actions, leftContent = _a.leftContent, rightContent = _a.rightContent;
        return (React.createElement("div", { className: util_1.joinClassName(definition_1.ToolbarToolsClassesEnum.TOOLBAR_TOOLS, util_1.calc(props.className), util_1.isFull(props) && definition_1.ToolbarToolsClassesEnum.FULL_TOOLBAR_TOOLS) },
            leftContent,
            actions.map(function (cfg, index) {
                var cfgAsPrimitive = cfg;
                var actionProps = util_1.isPrimitive(cfg)
                    ? _this.defaultActions[cfgAsPrimitive]
                    : cfg;
                return (React.createElement(button_1.Button, __assign({ key: "action-" + index + "-key", disabled: props.disabled, className: util_1.joinClassName((props.activeTools || []).includes(cfgAsPrimitive) && definition_1.ToolbarToolsClassesEnum.TOOLBAR_TOOLS_ACTIVE_TOOL) }, actionProps)));
            }),
            rightContent));
    };
    Object.defineProperty(ToolbarTools.prototype, "defaultActions", {
        /**
         * @stable [07.05.2020]
         */
        get: function () {
            var _a;
            return (_a = {},
                _a[definition_1.ToolbarToolsEnum.FILTER] = {
                    icon: definition_1.IconsEnum.FILTER,
                    onClick: this.props.onFilterClick,
                },
                _a[definition_1.ToolbarToolsEnum.DOWNLOAD_FILE] = {
                    icon: definition_1.IconsEnum.FILE_DOWNLOAD,
                    onClick: this.props.onDownloadFileClick,
                },
                _a[definition_1.ToolbarToolsEnum.REFRESH] = {
                    icon: definition_1.IconsEnum.SYNC,
                    onClick: this.props.onRefreshClick,
                },
                _a);
        },
        enumerable: true,
        configurable: true
    });
    ToolbarTools.defaultProps = {
        actions: [definition_1.ToolbarToolsEnum.REFRESH],
        full: false,
    };
    return ToolbarTools;
}(generic_component_1.GenericComponent));
exports.ToolbarTools = ToolbarTools;
//# sourceMappingURL=toolbar-tools.component.js.map