"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var action_1 = require("../../../action");
var generic_container_1 = require("../../base/generic.container");
var search_toolbar_component_1 = require("./search-toolbar.component");
var util_1 = require("../../../util");
/**
 * @component-container-impl
 * @stable [06.05.2020]
 *
 * Please use the "Mappers.searchToolbarContainerProps"
 */
var SearchToolbarContainer = /** @class */ (function (_super) {
    __extends(SearchToolbarContainer, _super);
    /**
     * @stable [27.04.2020]
     * @param {ISearchToolbarContainerProps} props
     */
    function SearchToolbarContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onActivate = _this.onActivate.bind(_this);
        _this.onApply = _this.onApply.bind(_this);
        _this.onChange = _this.onChange.bind(_this);
        _this.onDeactivate = _this.onDeactivate.bind(_this);
        return _this;
    }
    /**
     * @stable [06.05.2020]
     * @returns {JSX.Element}
     */
    SearchToolbarContainer.prototype.render = function () {
        return (React.createElement(search_toolbar_component_1.SearchToolbar, __assign({}, util_1.ComponentMappers.searchToolbarContainerPropsAsSearchToolbarProps(this.props), { onApply: this.onApply, onActivate: this.onActivate, onDeactivate: this.onDeactivate, onChange: this.onChange })));
    };
    /**
     * @stable [27.04.2020]
     */
    SearchToolbarContainer.prototype.onApply = function () {
        this.dispatchPlainAction(action_1.FilterActionBuilder.buildApplyPlainAction(this.sectionName));
        util_1.ifNotNilThanValue(this.toolbarConfiguration.onApply, function (onApply) { return onApply(); });
    };
    /**
     * @stable [27.04.2020]
     */
    SearchToolbarContainer.prototype.onActivate = function () {
        this.dispatchPlainAction(action_1.FilterActionBuilder.buildActivatePlainAction(this.sectionName));
        util_1.ifNotNilThanValue(this.toolbarConfiguration.onActivate, function (onActivate) { return onActivate(); });
    };
    /**
     * @stable [27.04.2020]
     */
    SearchToolbarContainer.prototype.onDeactivate = function () {
        this.dispatchPlainAction(action_1.FilterActionBuilder.buildDeactivatePlainAction(this.sectionName));
        util_1.ifNotNilThanValue(this.toolbarConfiguration.onDeactivate, function (onDeactivate) { return onDeactivate(); });
    };
    /**
     * @stable [27.04.2020]
     * @param {string} query
     */
    SearchToolbarContainer.prototype.onChange = function (query) {
        this.dispatchPlainAction(action_1.FilterActionBuilder.buildChangePlainAction(this.sectionName, query));
        util_1.ifNotNilThanValue(this.toolbarConfiguration.onChange, function (onChange) { return onChange(query); });
    };
    Object.defineProperty(SearchToolbarContainer.prototype, "toolbarConfiguration", {
        /**
         * @stable [06.05.2020]
         * @returns {ISearchToolbarProps}
         */
        get: function () {
            return this.props.toolbarConfiguration || {};
        },
        enumerable: true,
        configurable: true
    });
    return SearchToolbarContainer;
}(generic_container_1.GenericContainer));
exports.SearchToolbarContainer = SearchToolbarContainer;
//# sourceMappingURL=search-toolbar.container.js.map