import { IReduxXYEntity } from './xy-definition.interface';
import { IDefaultLayoutConfigurationWrapper, IDrawerHeaderRenderedWrapper, IExpandedGroupsWrapper, IFooterRenderedWrapper, IFooterWrapper, IHeaderContentWrapper, IHeaderRenderedWrapper, IHeaderWrapper, ILayoutWrapper, IModeWrapper, IOnDrawerHeaderClickWrapper, IProgressWrapper, ISubHeaderRenderedWrapper, ITopTitleWrapper } from '../definitions.interface';
import { IGenericComponentProps } from './generic-component-definition.interface';
import { IGenericStoreEntity } from './redux-definition.interface';
import { IHeaderConfigurationEntity } from './header-definition.interface';
import { IMainConfigurationEntity } from './main-definition.interface';
import { ISubHeaderConfigurationEntity } from './sub-header-definition.interface';
/**
 * @enum
 * @stable [08.05.2020]
 */
export declare enum LayoutModesEnum {
    FULL = 0,
    MINIMAL = 1
}
/**
 * @redux-entity
 * @stable [08.05.2020]
 */
export interface IReduxLayoutEntity extends IExpandedGroupsWrapper<{}>, IModeWrapper<LayoutModesEnum>, IReduxXYEntity {
}
/**
 * @redux-holder-entity
 * @stable [21.05.2020]
 */
export interface IReduxHolderLayoutEntity<TEntity = IReduxLayoutEntity> extends ILayoutWrapper<TEntity> {
}
/**
 * @presets-entity
 * @stable [20.05.2020]
 */
export interface IPresetsDefaultLayoutEntity extends IFooterRenderedWrapper, IFooterWrapper, IHeaderConfigurationEntity, IHeaderRenderedWrapper, IHeaderWrapper, IMainConfigurationEntity, IOnDrawerHeaderClickWrapper<LayoutModesEnum>, ISubHeaderConfigurationEntity, ISubHeaderRenderedWrapper {
}
/**
 * @generic-entity
 * @stable [04.02.2020]
 */
export interface IGenericDefaultLayoutEntity extends IPresetsDefaultLayoutEntity, IDrawerHeaderRenderedWrapper, IGenericStoreEntity, IHeaderContentWrapper, IProgressWrapper {
}
/**
 * @props
 * @stable [04.02.2020]
 */
export interface IDefaultLayoutProps extends IGenericComponentProps, IGenericDefaultLayoutEntity {
    navigationListElement?: any;
    onLogoMenuActionClick?: any;
}
/**
 * @configuration-entity
 * @stable [22.05.2020]
 */
export interface IDefaultLayoutConfigurationEntity<TProps = IDefaultLayoutProps> extends IDefaultLayoutConfigurationWrapper<TProps> {
}
/**
 * @generic-entity
 * @stable [13.02.2020]
 */
export interface IGenericFormLayoutEntity extends ITopTitleWrapper {
}
/**
 * @props
 * @stable [13.02.2020]
 */
export interface IFormLayoutProps extends IGenericComponentProps, IGenericFormLayoutEntity {
}
/**
 * @enum
 * @stable [28.09.2019]
 */
export declare enum LayoutGroupsValuesEnum {
    HOME = "home"
}
/**
 * @initial-redux-entity
 * @stable [08.05.2020]
 */
export declare const INITIAL_REDUX_LAYOUT_ENTITY: Readonly<IReduxLayoutEntity>;
/**
 * @classes
 * @stable [08.05.2020]
 */
export declare enum LayoutClassesEnum {
    FORM_LAYOUT = "rac-form-layout",
    FORM_LAYOUT_CONTENT = "rac-form-layout__content",
    FORM_LAYOUT_TOP_HEADER = "rac-form-layout__top-header"
}
/**
 * @classes
 * @stable [20.05.2020]
 */
export declare enum DefaultLayoutClassesEnum {
    DEFAULT_LAYOUT = "rac-default-layout",
    DEFAULT_LAYOUT_BODY = "rac-default-layout__body",
    DEFAULT_LAYOUT_DRAWER_HEADER = "rac-default-layout__drawer-header",
    DEFAULT_LAYOUT_FULL = "rac-default-layout-full",
    DEFAULT_LAYOUT_MINI = "rac-default-layout-mini"
}
