import { IDisabledWrapper, IFirstAllowedWrapper, IFullWrapper, IIconWrapper, ILastAllowedWrapper, INextIconWrapper, IOnActivateWrapper, IOnApplyWrapper, IOnChangeWrapper, IOnDeactivateWrapper, IOnFirstWrapper, IOnLastWrapper, IOnNextWrapper, IOnPreviousWrapper, IPreviousIconWrapper, IToolbarConfigurationWrapper, IUseActionsWrapper, IUseShortFormatWrapper } from '../definitions.interface';
import { IQueryFilterEntity, IReduxActiveQueryEntity } from './query-definition.interface';
import { IGenericComponentProps } from './generic-component-definition.interface';
import { IGenericContainerProps } from './generic-container-definition.interface';
import { IFieldConfigurationEntity } from '../configurations-definitions.interface';
import { IReduxPaginatedLifeCycleEntity } from './page-definition.interface';
import { IListEntity } from './list-definition.interface';
/**
 * @presets-entity
 * @stable [08.05.2020]
 */
export interface IPresetsPageToolbarEntity extends IFirstAllowedWrapper, IFullWrapper, ILastAllowedWrapper, INextIconWrapper, IOnFirstWrapper, IOnLastWrapper, IOnNextWrapper, IOnPreviousWrapper, IPreviousIconWrapper, IUseActionsWrapper, IUseShortFormatWrapper {
}
/**
 * @generic-entity
 * @stable [08.05.2020]
 */
export interface IGenericPageToolbarEntity extends IPresetsPageToolbarEntity, IReduxPaginatedLifeCycleEntity {
}
/**
 * @props
 * @stable [08.05.2020]
 */
export interface IPageToolbarProps extends IGenericComponentProps, IGenericPageToolbarEntity {
}
/**
 * @generic-entity
 * @stable [06.05.2020]
 */
export interface IGenericSearchToolbarEntity extends IReduxActiveQueryEntity, IFieldConfigurationEntity, IDisabledWrapper, IFullWrapper, IIconWrapper {
}
/**
 * @behavioral-entity
 * @stable [06.05.2020]
 */
export interface IBehavioralSearchToolbarEntity extends IOnActivateWrapper, IOnApplyWrapper, IOnChangeWrapper<string>, IOnDeactivateWrapper {
}
/**
 * @props
 * @stable [06.05.2020]
 */
export interface ISearchToolbarProps extends IGenericContainerProps, IGenericSearchToolbarEntity, IBehavioralSearchToolbarEntity {
}
/**
 * @props
 * @stable [06.05.2020]
 */
export interface ISearchToolbarContainerProps extends IGenericContainerProps, IGenericSearchToolbarContainerEntity {
}
/**
 * @configuration-entity
 * @stable [06.05.2020]
 */
export interface IPageToolbarConfigurationEntity extends IToolbarConfigurationWrapper<IPageToolbarProps> {
}
/**
 * @configuration-entity
 * @stable [06.05.2020]
 */
export interface ISearchToolbarConfigurationEntity extends IToolbarConfigurationWrapper<ISearchToolbarProps> {
}
/**
 * @generic-container-entity
 * @stable [06.05.2020]
 */
export interface IGenericSearchToolbarContainerEntity extends IListEntity, IQueryFilterEntity, ISearchToolbarConfigurationEntity {
}
/**
 * @generic-container-entity
 * @stable [06.05.2020]
 */
export interface IGenericPageToolbarContainerEntity extends IListEntity, IPageToolbarConfigurationEntity {
}
/**
 * @props
 * @stable [06.05.2020]
 */
export interface IPageToolbarContainerProps extends IGenericContainerProps, IGenericPageToolbarContainerEntity {
}
/**
 * @classes
 * @stable [05.05.2020]
 */
export declare enum ToolbarClassesEnum {
    FULL_TOOLBAR = "rac-full-toolbar",
    PAGE_TOOLBAR = "rac-page-toolbar",
    SEARCH_TOOLBAR = "rac-search-toolbar",
    TOOLBAR_ACTION = "rac-toolbar__action",
    TOOLBAR_CONTENT = "rac-toolbar__content",
    TOOLBAR_ICON = "rac-toolbar__icon",
    TOOLBAR_PAGES = "rac-toolbar__pages"
}
/**
 * @stable [06.05.2020]
 */
export declare const FIRST_PAGE_ACTION_TYPE = "first.page";
export declare const LAST_PAGE_ACTION_TYPE = "last.page";
export declare const NEXT_PAGE_ACTION_TYPE = "next.page";
export declare const PREVIOUS_PAGE_ACTION_TYPE = "previous.page";
