"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var wrapper_1 = require("./wrapper");
var select_1 = require("./select");
var object_1 = require("./object");
/**
 * @stable [11.05.2020]
 * @param {IFormEntity<TEntity>} entity
 * @returns {boolean}
 */
var isFormEntityInProgress = function (entity) {
    return wrapper_1.inProgress(select_1.Selectors.form(entity));
};
/**
 * @stable [11.05.2020]
 * @param {IFormEntity<TEntity>} entity
 * @returns {boolean}
 */
var isFormEntityValid = function (entity) {
    return wrapper_1.isValid(select_1.Selectors.form(entity));
};
/**
 * @stable [11.05.2020]
 * @param {IFormEntity<TEntity>} entity
 * @returns {boolean}
 */
var isFormEntityChanged = function (entity) {
    return object_1.isObjectNotEmpty(select_1.Selectors.formEntityChanges(entity));
};
/**
 * @stable [11.05.2020]
 * @param {IFormEntity<TEntity>} entity
 * @returns {boolean}
 */
var isFormEntityTouched = function (entity) {
    return wrapper_1.WrapperUtils.isTouched(select_1.Selectors.form(entity));
};
/**
 * @stable [11.05.2020]
 */
var FormEntityUtils = /** @class */ (function () {
    function FormEntityUtils() {
    }
    FormEntityUtils.inProgress = isFormEntityInProgress; /* @stable [11.05.2020] */
    FormEntityUtils.inValid = isFormEntityValid; /* @stable [11.05.2020] */
    FormEntityUtils.isChanged = isFormEntityChanged; /* @stable [11.05.2020] */
    FormEntityUtils.isTouched = isFormEntityTouched; /* @stable [11.05.2020] */
    return FormEntityUtils;
}());
exports.FormEntityUtils = FormEntityUtils;
//# sourceMappingURL=form-entity.js.map