import { IFieldsContainer, IFilterFormDialogContainerProps, IFormContainerProps, IFormProps, IGenericBaseSelectEntity, IListContainerProps, IPageToolbarContainerProps, IPageToolbarProps, IPrimaryFilterExtendedFormEntity, ISearchToolbarContainerProps, ISearchToolbarProps, ISecondaryFilterExtendedFormEntity, ISecondaryFilterFormEntity, IToolbarToolsContainerProps, IToolbarToolsProps } from '../definition';
import { IEntity } from '../definitions.interface';
/**
 * @stable [06.05.2020]
 */
export declare class ComponentMappers {
    static filterFormDialogContainerProps: (props: IFilterFormDialogContainerProps) => IFilterFormDialogContainerProps;
    static filterFormDialogSecondaryFilterContainerProps: (props: IFilterFormDialogContainerProps & ISecondaryFilterExtendedFormEntity<IEntity>) => IFilterFormDialogContainerProps;
    static formContainerProps: (props: IFormContainerProps<IEntity, {}>) => IFormContainerProps<IEntity, {}>;
    static formContainerPropsAsFormProps: (props: IFormContainerProps<IEntity, {}>) => IFormProps<IEntity>;
    static formPrimaryFilterContainerProps: (props: IFormContainerProps<IEntity, {}> & IPrimaryFilterExtendedFormEntity<IEntity>) => IFormContainerProps<IEntity, {}>;
    static listContainerProps: (props: IListContainerProps) => IListContainerProps;
    static pageToolbarContainerProps: (props: IPageToolbarContainerProps) => IPageToolbarContainerProps;
    static pageToolbarContainerPropsAsPageToolbarProps: (props: IPageToolbarContainerProps) => IPageToolbarProps;
    static pageToolbarProps: (props: IPageToolbarProps) => IPageToolbarProps;
    static placeFieldProps: (container: IFieldsContainer) => IGenericBaseSelectEntity;
    static searchToolbarContainerProps: (props: ISearchToolbarContainerProps) => ISearchToolbarContainerProps;
    static searchToolbarContainerPropsAsSearchToolbarProps: (props: ISearchToolbarContainerProps) => ISearchToolbarProps;
    static searchToolbarProps: (props: ISearchToolbarProps) => ISearchToolbarProps;
    static toolbarToolsContainerProps: (props: IToolbarToolsContainerProps<IToolbarToolsProps>) => IToolbarToolsContainerProps<IToolbarToolsProps>;
    static toolbarToolsContainerPropsAsToolbarTools: (props: IToolbarToolsContainerProps<IToolbarToolsProps>) => IToolbarToolsProps;
    static toolbarToolsSecondaryFilterContainerProps: (props: IToolbarToolsContainerProps<IToolbarToolsProps> & ISecondaryFilterFormEntity<IEntity>) => IToolbarToolsContainerProps<IToolbarToolsProps>;
}
