import { IDisabledWrapper, IEntity, IFormWrapper, IOptionsWrapper, IQueryFilterWrapper, IQueryWrapper, ISectionNameWrapper, IWaitingForOptionsWrapper } from '../definitions.interface';
import { IExtendedEntity, IExtendedFormEntity, IFormEntity, IReduxHolderLayoutEntity, IListEntity, IOptionEntity, IPrimaryFilterExtendedFormEntity, IPrimaryFilterReduxFormEntity, IQueryFilterEntity, IReduxActiveQueryEntity, IReduxBaseSelectEntity, IReduxDictionaryEntity, IReduxFormEntity, IReduxPagedEntity, IReduxPaginatedEntity, IReduxPaginatedLifeCycleEntity, ISecondaryFilterExtendedFormEntity, ISecondaryFilterFormEntity, ISecondaryFilterReduxFormEntity, ISelectOptionEntity } from '../definition';
/**
 * @stable [19.05.2020]
 * @param {boolean} waitingForOptions
 * @returns {IWaitingForOptionsWrapper}
 */
export declare const mapWaitingForOptions: (waitingForOptions: boolean) => IWaitingForOptionsWrapper;
/**
 * @stable [06.05.2020]
 */
export declare class GenericMappers {
    static readonly activeQueryEntity: (entity: IReduxActiveQueryEntity) => IReduxActiveQueryEntity;
    static readonly dictionaryEntityAsSelectEntity: <TEntity, TResult = TEntity[]>(entity: IReduxDictionaryEntity<TEntity>, accessor?: (data: TEntity[]) => TResult) => IReduxBaseSelectEntity;
    static readonly dictionaryEntityAsSelectOptionEntities: <TEntity>(dictionaryEntity: IReduxDictionaryEntity<TEntity>, accessor?: (data: TEntity | TEntity[]) => any) => ISelectOptionEntity<TEntity>[];
    static readonly disabled: (disabled: boolean) => IDisabledWrapper<boolean>;
    static readonly entityAsExtendedEntity: <TEntity extends IEntity = IEntity>(formEntity: IReduxFormEntity<TEntity>, entity?: TEntity) => IExtendedEntity<TEntity>;
    static readonly entityAsExtendedFormEntity: <TEntity = IEntity>(formEntity: IReduxFormEntity<TEntity>, entity?: TEntity) => IExtendedFormEntity<TEntity>;
    static readonly extendedEntity: <TEntity = IEntity>(extendedEntity: IExtendedEntity<TEntity>) => IExtendedEntity<TEntity>;
    static readonly form: <TForm>(form: TForm) => IFormWrapper<TForm>;
    static readonly formEntity: <TEntity = IEntity>(entity: IFormEntity<TEntity>) => IFormEntity<TEntity>;
    static readonly fullSearchFilter: <TFilter, TEntity = IEntity>(wrapper: IQueryFilterEntity & IListEntity<TEntity, any>) => TFilter;
    static readonly layoutEntity: (wrapper: IReduxHolderLayoutEntity<import("core/definition/layout-definition.interface").IReduxLayoutEntity>) => IReduxHolderLayoutEntity<import("core/definition/layout-definition.interface").IReduxLayoutEntity>;
    static readonly listEntity: (entity: IListEntity<IEntity, any>) => IListEntity<IEntity, any>;
    static readonly listEntityAsDisabled: (listEntity: IListEntity<IEntity, any>) => IDisabledWrapper<boolean>;
    static readonly listEntityAsPagedEntity: (entity: IListEntity<IEntity, any>, pageSize?: number) => IReduxPagedEntity;
    static readonly listSelectedEntityAsExtendedFormEntity: <TEntity = IEntity>(listEntity: IListEntity<TEntity, any>, formEntity: IReduxFormEntity<TEntity>) => IExtendedFormEntity<TEntity>;
    static readonly listSelectedExtendedFormEntityAsFinalEntity: <TEntity = IEntity>(listEntity: IListEntity<TEntity, any>, formEntity: IReduxFormEntity<TEntity>) => TEntity;
    static readonly optionEntitiesAsSelectOptionEntities: <TEntity extends IOptionEntity>(data: TEntity | TEntity[]) => ISelectOptionEntity<TEntity>[];
    static readonly options: <TValue>(options: TValue) => IOptionsWrapper<TValue>;
    static readonly pagedEntity: (entity: IReduxPagedEntity) => IReduxPagedEntity;
    static readonly paginatedEntity: (entity: IReduxPaginatedEntity) => IReduxPaginatedEntity;
    static readonly paginatedLifeCycleEntity: (entity: IReduxPaginatedLifeCycleEntity) => IReduxPaginatedLifeCycleEntity;
    static readonly primaryFilterEntityAsPrimaryFilterExtendedFormEntity: <TEntity = IEntity>(wrapper: IPrimaryFilterReduxFormEntity<TEntity>, entity?: TEntity) => IPrimaryFilterExtendedFormEntity<TEntity>;
    static readonly query: (query: string) => IQueryWrapper<string>;
    static readonly queryFilter: <TEntity = string>(queryFilter: TEntity) => IQueryFilterWrapper<TEntity>;
    static readonly queryFilterEntity: (entity: IQueryFilterEntity) => IQueryFilterEntity;
    static readonly queryFilterEntityAsQuery: (entity: IQueryFilterEntity) => IQueryWrapper<string>;
    static readonly secondaryFilterEntityAsSecondaryFilterExtendedFormEntity: <TEntity = IEntity>(wrapper: ISecondaryFilterReduxFormEntity<TEntity>, entity?: TEntity) => ISecondaryFilterExtendedFormEntity<TEntity>;
    static readonly secondaryFilterFormEntityAsFormEntity: <TEntity = IEntity>(entity: ISecondaryFilterFormEntity<TEntity>) => IFormEntity<TEntity>;
    static readonly sectionName: (sectionName: string) => ISectionNameWrapper;
    static readonly sectionNameWrapper: (wrapper: ISectionNameWrapper) => ISectionNameWrapper;
    static readonly waitingForOptions: (waitingForOptions: boolean) => IWaitingForOptionsWrapper;
}
