"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var type_1 = require("./type");
var cond_1 = require("./cond");
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [13.10.2019]
 * @param {AnyT} value
 * @returns {AnyT}
 */
exports.toStringParameter = function (value) {
    return cond_1.ConditionUtils.ifNotNilThanValue(value, function () {
        var resultValue = value;
        if (type_1.TypeUtils.isString(value)) {
            resultValue = value.trim();
        }
        return cond_1.ConditionUtils.ifNotEmptyThanValue(resultValue, function () { return resultValue; });
    }, definitions_interface_1.UNDEF_SYMBOL);
};
//# sourceMappingURL=parameter.js.map