"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var type_1 = require("./type");
var di_services_1 = require("../di/di.services");
/**
 * @stable [18.05.2020]
 * @param {SelectValueT} option
 * @returns {EntityIdT}
 */
var fromSelectOptionEntityToId = function (option) {
    if (R.isNil(option)) {
        return option;
    }
    if (type_1.TypeUtils.isPrimitive(option)) {
        return option;
    }
    var optionAsObject = option;
    return optionAsObject.value;
};
/**
 * @stable [18.05.2020]
 * @param {SelectValueT} option
 * @returns {StringNumberT}
 */
var fromSelectOptionEntityToDisplayValue = function (option) {
    if (R.isNil(option)) {
        return option;
    }
    if (type_1.TypeUtils.isPrimitive(option)) {
        return option;
    }
    var optionAsObject = option;
    var label = optionAsObject.label;
    return R.isNil(label)
        ? fromSelectOptionEntityToId(option)
        : di_services_1.getTranslator()(label, option);
};
/**
 * @stable [18.05.2020]
 */
var SelectOptionUtils = /** @class */ (function () {
    function SelectOptionUtils() {
    }
    SelectOptionUtils.fromSelectOptionEntityToDisplayValue = fromSelectOptionEntityToDisplayValue; /* @stable [18.05.2020] */
    SelectOptionUtils.fromSelectOptionEntityToId = fromSelectOptionEntityToId; /* @stable [18.05.2020] */
    return SelectOptionUtils;
}());
exports.SelectOptionUtils = SelectOptionUtils;
//# sourceMappingURL=select-option.js.map