"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var select_1 = require("./select");
/**
 * @stable [17.05.2020]
 * @param {IReduxActiveValueEntity} entity
 * @param {IPresetsTabEntity} tab
 * @returns {boolean}
 */
var isTabActive = function (entity, tab) {
    return R.isNil(entity)
        ? false
        : (R.isNil(entity.activeValue)
            ? !!tab.active
            : entity.activeValue === tab.value);
};
/**
 * @stable [17.05.2020]
 * @param {ITabPanelEntity} wrapper
 * @param {IPresetsTabEntity} tab
 * @returns {boolean}
 */
var isTabEntityActive = function (wrapper, tab) { return isTabActive(select_1.Selectors.tabPanel(wrapper), tab); };
/**
 * @stable [17.05.2020]
 */
var TabUtils = /** @class */ (function () {
    function TabUtils() {
    }
    TabUtils.isActive = isTabActive; /* @stable [17.05.2020] */
    TabUtils.isEntityActive = isTabEntityActive; /* @stable [17.05.2020] */
    return TabUtils;
}());
exports.TabUtils = TabUtils;
//# sourceMappingURL=tab.js.map