import { IAcceptableWrapper, IAcceptDisabledWrapper, IActionsRenderedWrapper, IAllowEmptyFilterValueWrapper, IAllowSingleTabWrapper, IAlwaysDirtyWrapper, IAlwaysResettableWrapper, IAnchoredWrapper, ICalendarActionRenderedWrapper, IChangeableWrapper, ICheckModalWrapper, IClearActionRenderedWrapper, IClosableWrapper, ICloseDisabledWrapper, ICompactWrapper, IConfirmWrapper, IDecoratedWrapper, IDefaultWrapper, IDirtyWrapper, IDisabledWrapper, IDisplayValueRenderedOnlyWrapper, IEditedWrapper, IErrorMessageRenderedWrapper, IErrorWrapper, IExpandActionRenderedWrapper, IFieldRenderedWrapper, IFirstAllowedWrapper, IFocusedWrapper, IForceReloadWrapper, IForciblyApplyLocalFilterWrapper, IFullWrapper, IHeightRestrictedWrapper, IHighlightOddWrapper, IHoveredWrapper, IIconLeftAlignedWrapper, IIconWrapper, IIndexedWrapper, IInlineWrapper, IKeyboardOpenWrapper, ILastAllowedWrapper, ILastWrapper, ILoadingWrapper, IMenuRenderedWrapper, IMultiWrapper, INavigateBackWrapper, IOddWrapper, IOpenedWrapper, IOverlayClosableWrapper, IOverlayWrapper, IPlaceActionRenderedWrapper, IPlainValueWrapper, IPreventFocusWrapper, IPreventManualChangesWrapper, IProgressWrapper, IRangeEnabledWrapper, IReadOnlyWrapper, IReadyWrapper, IRefreshOnUpdateWrapper, IRemoteFilterWrapper, IRequiredWrapper, IScrollableWrapper, ISelectableWrapper, ISelectedWrapper, ISortableWrapper, ISyntheticCursorWrapper, ITouchedWrapper, IUseActionsWrapper, IUseFilterWrapper, IUseKeyboardWrapper, IUsePeriodNavigatorWrapper, IUsePreviewWrapper, IUseZipCodeWrapper, IValidateOnMountWrapper, IValidWrapper, IVisibleWrapper, IWrappedWrapper } from '../definitions.interface';
/**
 * @stable [03.02.2020]
 * @param {IValidWrapper} wrapper
 * @returns {boolean}
 */
export declare const isValid: (wrapper: IValidWrapper) => boolean;
/**
 * @stable [05.05.2020]
 * @param {ILastAllowedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isLastAllowedWrapper: (wrapper: ILastAllowedWrapper) => boolean;
/**
 * @stable [05.05.2020]
 * @param {IFirstAllowedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isFirstAllowedWrapper: (wrapper: IFirstAllowedWrapper) => boolean;
/**
 * @stable [12.05.2020]
 * @param {IUseActionsWrapper} wrapper
 * @returns {boolean}
 */
export declare const areActionsUsed: (wrapper: IUseActionsWrapper) => boolean;
/**
 * @stable [30.01.2020]
 * @param {IValidateOnMountWrapper} wrapper
 * @returns {boolean}
 */
export declare const isValidateOnMount: (wrapper: IValidateOnMountWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IPreventManualChangesWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPreventManualChanges: (wrapper: IPreventManualChangesWrapper) => boolean;
/**
 * @stable [30.01.2020]
 * @param {ICompactWrapper} wrapper
 * @returns {boolean}
 */
export declare const isCompact: (wrapper: ICompactWrapper<boolean>) => boolean;
/**
 * @stable [30.01.2020]
 * @param {IPreventFocusWrapper} wrapper
 * @returns {boolean}
 */
export declare const isFocusPrevented: (wrapper: IPreventFocusWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IProgressWrapper} wrapper
 * @returns {boolean}
 */
export declare const inProgress: (wrapper: IProgressWrapper<boolean>) => boolean;
/**
 * @stable [15.01.2020]
 * @param {TEntity} wrapper
 * @returns {boolean}
 */
export declare const isCheckModalNeeded: <TEntity extends ICheckModalWrapper = ICheckModalWrapper>(wrapper: TEntity) => boolean;
/**
 * @stable [11.03.2020]
 * @param {IConfirmWrapper} wrapper
 * @returns {boolean}
 */
export declare const isConfirm: (wrapper: IConfirmWrapper) => boolean;
/**
 * @stable [28.11.2019]
 * @param {IReadyWrapper} entity
 * @returns {boolean}
 */
export declare const isReady: (entity: IReadyWrapper) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IFullWrapper} entity
 * @returns {boolean}
 */
export declare const isFull: (entity: IFullWrapper<boolean>) => boolean;
/**
 * @stable [02.02.2020]
 * @param {IIconWrapper<boolean | string>} entity
 * @returns {boolean}
 */
export declare const hasIcon: (entity: IIconWrapper<string | boolean>) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IScrollableWrapper} entity
 * @returns {boolean}
 */
export declare const isScrollable: (entity: IScrollableWrapper) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IDefaultWrapper} entity
 * @returns {boolean}
 */
export declare const isDefault: (entity: IDefaultWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IOverlayWrapper} entity
 * @returns {boolean}
 */
export declare const isOverlay: (entity: IOverlayWrapper<boolean>) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IAcceptableWrapper} entity
 * @returns {boolean}
 */
export declare const isAcceptable: (entity: IAcceptableWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IClosableWrapper} entity
 * @returns {boolean}
 */
export declare const isClosable: (entity: IClosableWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IOverlayClosableWrapper} entity
 * @returns {boolean}
 */
export declare const isOverlayClosable: (entity: IOverlayClosableWrapper) => boolean;
/**
 * @stable [28.11.2019]
 * @param {IErrorWrapper} entity
 * @returns {boolean}
 */
export declare const doesErrorExist: (entity: IErrorWrapper<string | boolean>) => boolean;
/**
 * @stable [24.10.2019]
 * @param {IUseKeyboardWrapper} wrapper
 * @returns {boolean}
 */
export declare const isKeyboardUsed: (wrapper: IUseKeyboardWrapper) => boolean;
/**
 * @stable [25.10.2019]
 * @param {IVisibleWrapper} wrapper
 * @returns {boolean}
 */
export declare const isVisible: (wrapper: IVisibleWrapper) => boolean;
/**
 * @stable [30.01.2020]
 * @param {IActionsRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isActionsRendered: (wrapper: IActionsRenderedWrapper) => boolean;
/**
 * @stable [30.10.2019]
 * @param {IFocusedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isFocused: (wrapper: IFocusedWrapper) => boolean;
/**
 * @stable [06.03.2020]
 * @param {IRangeEnabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isRangeEnabled: (wrapper: IRangeEnabledWrapper) => boolean;
/**
 * @stable [04.05.2020]
 * @param {IHighlightOddWrapper} wrapper
 * @param {number} index
 * @returns {boolean}
 */
export declare const isHighlightOdd: (wrapper: IHighlightOddWrapper, index: number) => boolean;
/**
 * @stable [26.10.2019]
 * @param {IIndexedWrapper} indexedEntity
 * @returns {boolean}
 */
export declare const isIndexed: (indexedEntity: IIndexedWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {IEditedWrapper} editedEntity
 * @returns {boolean}
 */
export declare const isEdited: (editedEntity: IEditedWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {ISortableWrapper} wrapper
 * @returns {boolean}
 */
export declare const isSortable: (wrapper: ISortableWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IDisabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isDisabled: (wrapper: IDisabledWrapper<boolean>) => boolean;
/**
 * @stable [03.02.2020]
 * @param {ISelectedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isSelected: (wrapper: ISelectedWrapper<boolean>) => boolean;
/**
 * @stable [03.02.2020]
 * @param {ISelectableWrapper} wrapper
 * @returns {boolean}
 */
export declare const isSelectable: (wrapper: ISelectableWrapper<boolean>) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IHoveredWrapper} wrapper
 * @returns {boolean}
 */
export declare const isHovered: (wrapper: IHoveredWrapper) => boolean;
/**
 * @stable [04.05.2020]
 * @param {IOddWrapper} wrapper
 * @returns {boolean}
 */
export declare const isOdd: (wrapper: IOddWrapper) => boolean;
/**
 * @stable [04.05.2020]
 * @param {ILastWrapper} wrapper
 * @returns {boolean}
 */
export declare const isLast: (wrapper: ILastWrapper<boolean>) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IExpandActionRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isExpandActionRendered: (wrapper: IExpandActionRenderedWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {ICalendarActionRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isCalendarActionRendered: (wrapper: ICalendarActionRenderedWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IClearActionRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isClearActionRendered: (wrapper: IClearActionRenderedWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IReadOnlyWrapper} wrapper
 * @returns {boolean}
 */
export declare const isReadOnly: (wrapper: IReadOnlyWrapper) => boolean;
/**
 * @stable [22.01.2020]
 * @param {IInlineWrapper} wrapper
 * @returns {boolean}
 */
export declare const isInline: (wrapper: IInlineWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {ICloseDisabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isCloseDisabled: (wrapper: ICloseDisabledWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IAcceptDisabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isAcceptDisabled: (wrapper: IAcceptDisabledWrapper) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IChangeableWrapper} wrapper
 * @returns {boolean}
 */
export declare const isChangeable: (wrapper: IChangeableWrapper) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IAlwaysResettableWrapper} wrapper
 * @returns {boolean}
 */
export declare const isAlwaysResettable: (wrapper: IAlwaysResettableWrapper) => boolean;
/**
 * @stable [28.10.2019]
 * @param {IKeyboardOpenWrapper} wrapper
 * @returns {boolean}
 */
export declare const isKeyboardOpen: (wrapper: IKeyboardOpenWrapper) => boolean;
/**
 * @stable [29.10.2019]
 * @param {IRequiredWrapper} wrapper
 * @returns {boolean}
 */
export declare const isRequired: (wrapper: IRequiredWrapper<boolean>) => boolean;
/**
 * @stable [30.10.2019]
 * @param {ISyntheticCursorWrapper} wrapper
 * @returns {boolean}
 */
export declare const isSyntheticCursorUsed: (wrapper: ISyntheticCursorWrapper<boolean>) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IDecoratedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isDecorated: (wrapper: IDecoratedWrapper) => boolean;
/**
 * @stable [13.11.2019]
 * @param {IMultiWrapper} wrapper
 * @returns {boolean}
 */
export declare const isMulti: (wrapper: IMultiWrapper) => boolean;
/**
 * @stable [23.11.2019]
 * @param {IRemoteFilterWrapper} wrapper
 * @returns {boolean}
 */
export declare const isRemoteFilterApplied: (wrapper: IRemoteFilterWrapper) => boolean;
/**
 * @stable [11.01.2020]
 * @param {IMenuRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isMenuRendered: (wrapper: IMenuRenderedWrapper) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IAnchoredWrapper} wrapper
 * @returns {boolean}
 */
export declare const isAnchored: (wrapper: IAnchoredWrapper) => boolean;
/**
 * @stable [01.02.2020]
 * @param {IForciblyApplyLocalFilterWrapper} wrapper
 * @returns {boolean}
 */
export declare const isForceUseLocalFilter: (wrapper: IForciblyApplyLocalFilterWrapper) => boolean;
/**
 * @stable [23.11.2019]
 * @param {IUseFilterWrapper} wrapper
 * @returns {boolean}
 */
export declare const isFilterUsed: (wrapper: IUseFilterWrapper) => boolean;
/**
 * @stable [25.01.2020]
 * @param {IHeightRestrictedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isHeightRestricted: (wrapper: IHeightRestrictedWrapper) => boolean;
/**
 * @stable [28.01.2020]
 * @param {IAllowEmptyFilterValueWrapper} wrapper
 * @returns {boolean}
 */
export declare const isAllowEmptyFilterValue: (wrapper: IAllowEmptyFilterValueWrapper) => boolean;
/**
 * @stable [26.11.2019]
 * @param {IPlaceActionRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPlaceActionRendered: (wrapper: IPlaceActionRenderedWrapper) => boolean;
/**
 * @stable [11.01.2020]
 * @param {IUseZipCodeWrapper} entity
 * @returns {boolean}
 */
export declare const isUseZipCode: (entity: IUseZipCodeWrapper) => boolean;
/**
 * @stable [14.01.2020]
 * @param {IPlainValueWrapper} entity
 * @returns {boolean}
 */
export declare const isPlainValueApplied: (entity: IPlainValueWrapper) => boolean;
/**
 * @stable [19.12.2019]
 * @param {IRefreshOnUpdateWrapper} entity
 * @returns {boolean}
 */
export declare const isRefreshOnUpdate: (entity: IRefreshOnUpdateWrapper) => boolean;
/**
 * @stable [28.01.2020]
 * @param {IDisplayValueRenderedOnlyWrapper} entity
 * @returns {boolean}
 */
export declare const isDisplayValueRenderedOnly: (entity: IDisplayValueRenderedOnlyWrapper) => boolean;
/**
 * @stable [23.04.2020]
 * @param {IAlwaysDirtyWrapper} entity
 * @returns {boolean}
 */
export declare const isAlwaysDirty: (entity: IAlwaysDirtyWrapper) => boolean;
/**
 * @stable [26.12.2019]
 * @param {IDirtyWrapper} entity
 * @returns {boolean}
 */
export declare const isDirty: (entity: IDirtyWrapper) => boolean;
/**
 * @stable [12.02.2020]
 * @param {IAllowSingleTabWrapper} entity
 * @returns {boolean}
 */
export declare const isAllowSingleTab: (entity: IAllowSingleTabWrapper) => boolean;
/**
 * @stable [12.02.2020]
 * @param {IWrappedWrapper} entity
 * @returns {boolean}
 */
export declare const isWrapped: (entity: IWrappedWrapper) => boolean;
/**
 * @stable [12.02.2020]
 * @param {IIconLeftAlignedWrapper} entity
 * @returns {boolean}
 */
export declare const isIconLeftAligned: (entity: IIconLeftAlignedWrapper) => boolean;
/**
 * @stable [16.02.2020]
 * @param {IErrorMessageRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isErrorMessageRendered: (wrapper: IErrorMessageRenderedWrapper) => boolean;
/**
 * @stable [15.03.2020]
 * @param {IOpenedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isOpened: (wrapper: IOpenedWrapper<boolean>) => boolean;
/**
 * @stable [16.03.2020]
 * @param {IUsePreviewWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPreviewUsed: (wrapper: IUsePreviewWrapper) => boolean;
/**
 * @stable [25.03.2020]
 * @param {IUsePeriodNavigatorWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPeriodNavigatorUsed: (wrapper: IUsePeriodNavigatorWrapper) => boolean;
/**
 * @stable [11.04.2020]
 * @param {INavigateBackWrapper} wrapper
 * @returns {boolean}
 */
export declare const isNavigateBackNeeded: (wrapper: INavigateBackWrapper) => boolean;
/**
 * @stable [18.05.2020]
 */
export declare class WrapperUtils {
    static readonly inProgress: (wrapper: IProgressWrapper<boolean>) => boolean;
    static readonly isFieldRendered: (wrapper: IFieldRenderedWrapper) => boolean;
    static readonly isForceReload: (entity: IForceReloadWrapper) => boolean;
    static readonly isFull: (entity: IFullWrapper<boolean>) => boolean;
    static readonly isLoading: (entity: ILoadingWrapper) => boolean;
    static readonly isTouched: (wrapper: ITouchedWrapper) => boolean;
}
